/**
 * @file
 * Various Media Library Scripts
 *
 */
(function ($, Drupal) {
  Drupal.behaviors.drowl_media_types_slideshow = {
    attach: function (context, settings) {
      // Add animation class to the image or video video field wrapper
      $(".media-slide__media[data-media-animation]", context).each(function () {
        // Add the animation class to the media field wrapper (image or video)
        $(this)
          .children()
          .first()
          .addClass("animation-" + $(this).attr("data-media-animation"));
      });
    },
  };
})(jQuery, Drupal);
